module gui;

import canvas;
import tool_stack;

import gtk.Main;
import gtk.MainWindow;

import tk.geometry;
import tk.types;
import tk.events;

import std.stdio;
import tk.geometry2;

void main(string[] args) {
    Main.init(args);
    auto window = new MainWindow("Title");
    auto event_handler = new ToolStack();
    auto canvas = new Canvas(event_handler);
    window.add(canvas);
    window.showAll();
    Main.run();

    /*
    Point2 p3 = Point2.DEFAULT;

    Point2 p1 = Point2(3.0, 5.0);
    writefln("%s", p1);

    Point2 p2 = Point2(1.0, 2.0);
    writefln("%s", p2);

    writefln("%s", p1 - p2);

    Rectangle2 r = Rectangle2(p1, p2);
    writefln("%s", r);
    */
}
